Bug 301305 - Context View control bar only partially updates colors on color scheme change until reboot
Summary: Context View control bar only partially updates colors on color scheme change...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Context View (show other bugs)
Version: 2.5.90 (2.6 beta)
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-06 19:23 UTC by Harald Sitter
Modified: 2013-07-08 09:19 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Sitter 2012-06-06 19:23:13 UTC
the context view control bar at the bottom uses a light bluish color, whereas for example the playlist control bar uses a darkish grey-blue, this looks particularly silly with a dark color scheme

Reproducible: Always
Comment 1 Harald Sitter 2012-06-06 20:01:46 UTC
Works after reboot.

Plasma bug?
Comment 2 Myriam Schweingruber 2012-06-07 04:32:18 UTC
Most likely, yes, but it might be in our code nonetheless.
Comment 3 Matěj Laitl 2012-10-11 23:09:41 UTC
I think it only affects the run when you just change the scheme -> very low priority.
Comment 4 Mark Kretschmann 2013-07-08 09:19:18 UTC
Git commit 211d4f7cd980e210cabfa3f9a9be44402125ac78 by Mark Kretschmann.
Committed on 07/07/2013 at 19:35.
Pushed by markey into branch 'master'.

Fix incorrect colors in Context View toolbar when switching themes.
FIXED-IN: 2.8

M  +1    -0    src/context/ContextDock.cpp
M  +1    -0    src/context/ContextDock.h
M  +19   -8    src/context/ToolbarView.cpp
M  +3    -1    src/context/ToolbarView.h

http://commits.kde.org/amarok/211d4f7cd980e210cabfa3f9a9be44402125ac78